import * as express from "express";
import { FunctionOptions } from "./interfaces/FunctionOptions";
export default class GCFHelper {
    functionOptions: FunctionOptions;
    private readonly errorHandler;
    private configLoaded;
    constructor(functionOptions: FunctionOptions | undefined | null);
    private ensureConfigAdapted;
    handleError(error: Error, eventPayload?: any): Promise<void>;
    validateAPIFSRequest(request: express.Request, eventPayload?: any): Promise<void>;
    validateAPIFSRequestNoError(request: express.Request, response?: express.Response): Promise<boolean>;
    writeBigQueryRows(rows: any[], etl?: (row: any) => {
        [key: string]: any;
    }, eventPayload?: any): Promise<void>;
    getPubSubDataFromEvent(event: any): any;
    sqlQuery(queryString: string, params?: any[]): Promise<any>;
    getConfig(): FunctionOptions;
    private hasPubSubClient;
    private hasBigQueryClient;
    private hasSqlPool;
    private isRequestAuthorizationValid;
    private canPublish;
    private canWriteToBigQuery;
}
//# sourceMappingURL=GCFHelper.d.ts.map